All of lore.kernel.org
 help / color / mirror / Atom feed
From: Christoph Hellwig <hch@lst.de>
To: Shin'ichiro Kawasaki <shinichiro.kawasaki@wdc.com>
Cc: linux-block@vger.kernel.org
Subject: [PATCH blktests 01/13] common/null_blk: remove explicit queue_mode=2 parameters
Date: Fri,  3 Jun 2022 06:55:46 +0200	[thread overview]
Message-ID: <20220603045558.466760-2-hch@lst.de> (raw)
In-Reply-To: <20220603045558.466760-1-hch@lst.de>

queue_mode 2 (aka blk-mq) is the default in null_blk, so remove the
extra explicitly parameter.

Signed-off-by: Christoph Hellwig <hch@lst.de>
---
 tests/block/006 | 2 +-
 tests/block/010 | 4 ++--
 tests/block/014 | 2 +-
 tests/block/015 | 2 +-
 tests/block/016 | 2 +-
 tests/block/017 | 3 +--
 tests/block/018 | 3 +--
 tests/block/020 | 2 +-
 tests/block/022 | 2 +-
 tests/block/024 | 3 +--
 tests/block/029 | 2 +-
 tests/block/030 | 2 +-
 tests/block/031 | 2 +-
 13 files changed, 14 insertions(+), 17 deletions(-)

diff --git a/tests/block/006 b/tests/block/006
index 0b8a3c0..7ca1021 100755
--- a/tests/block/006
+++ b/tests/block/006
@@ -24,7 +24,7 @@ test() {
 	_divide_timeout 2
 	FIO_PERF_FIELDS=("read iops")
 
-	if ! _init_null_blk queue_mode=2 submit_queues=2 blocking=1; then
+	if ! _init_null_blk submit_queues=2 blocking=1; then
 		return 1
 	fi
 
diff --git a/tests/block/010 b/tests/block/010
index b81208e..ed56135 100644
--- a/tests/block/010
+++ b/tests/block/010
@@ -49,7 +49,7 @@ test() {
 
 	_divide_timeout 2
 
-	if ! _init_null_blk queue_mode=2 submit_queues=16 nr_devices=32; then
+	if ! _init_null_blk submit_queues=16 nr_devices=32; then
 		return 1
 	fi
 
@@ -58,7 +58,7 @@ test() {
 	run_fio_job
 
 	_exit_null_blk
-	if ! _init_null_blk queue_mode=2 submit_queues=16 nr_devices=32 shared_tags=1; then
+	if ! _init_null_blk submit_queues=16 nr_devices=32 shared_tags=1; then
 		return 1
 	fi
 
diff --git a/tests/block/014 b/tests/block/014
index 04c34fa..449046a 100755
--- a/tests/block/014
+++ b/tests/block/014
@@ -18,7 +18,7 @@ test() {
 
 	# The format is "<interval>,<probability>,<space>,<times>". Here, we
 	# fail 50% of I/Os.
-	if ! _init_null_blk queue_mode=2 timeout='1,50,0,-1'; then
+	if ! _init_null_blk timeout='1,50,0,-1'; then
 		return 1
 	fi
 
diff --git a/tests/block/015 b/tests/block/015
index 79102a2..2e5cf35 100755
--- a/tests/block/015
+++ b/tests/block/015
@@ -20,7 +20,7 @@ test() {
 
 	# The format is "<interval>,<probability>,<space>,<times>". Here, we
 	# requeue 10% of the time.
-	if ! _init_null_blk queue_mode=2 requeue='1,10,0,-1'; then
+	if ! _init_null_blk requeue='1,10,0,-1'; then
 		return 1
 	fi
 
diff --git a/tests/block/016 b/tests/block/016
index c70b7d0..2b7a05f 100755
--- a/tests/block/016
+++ b/tests/block/016
@@ -20,7 +20,7 @@ requires() {
 test() {
 	echo "Running ${TEST_NAME}"
 
-	if ! _init_null_blk queue_mode=2 irqmode=2 completion_nsec=2000000000; then
+	if ! _init_null_blk irqmode=2 completion_nsec=2000000000; then
 		return 1
 	fi
 
diff --git a/tests/block/017 b/tests/block/017
index e4a9259..c84b661 100755
--- a/tests/block/017
+++ b/tests/block/017
@@ -27,8 +27,7 @@ show_inflight() {
 test() {
 	echo "Running ${TEST_NAME}"
 
-	if ! _init_null_blk queue_mode=2 irqmode=2 \
-	     completion_nsec=500000000; then
+	if ! _init_null_blk irqmode=2 completion_nsec=500000000; then
 		return 1
 	fi
 
diff --git a/tests/block/018 b/tests/block/018
index 7312723..a80ecbc 100755
--- a/tests/block/018
+++ b/tests/block/018
@@ -33,8 +33,7 @@ test() {
 
 	echo "Running ${TEST_NAME}"
 
-	if ! _init_null_blk queue_mode=2 irqmode=2 \
-	     completion_nsec=1000000000; then
+	if ! _init_null_blk irqmode=2 completion_nsec=1000000000; then
 		return 1
 	fi
 
diff --git a/tests/block/020 b/tests/block/020
index b4887a2..eef63cb 100755
--- a/tests/block/020
+++ b/tests/block/020
@@ -20,7 +20,7 @@ requires() {
 test() {
 	echo "Running ${TEST_NAME}"
 
-	if ! _init_null_blk queue_mode=2 irqmode=2 completion_nsec=2000000 \
+	if ! _init_null_blk irqmode=2 completion_nsec=2000000 \
 	     submit_queues=4 hw_queue_depth=1; then
 		return 1
 	fi
diff --git a/tests/block/022 b/tests/block/022
index 30b2a68..10851ff 100755
--- a/tests/block/022
+++ b/tests/block/022
@@ -28,7 +28,7 @@ test() {
 	echo "Running ${TEST_NAME}"
 	: "${TIMEOUT:=30}"
 
-	if ! _init_null_blk shared_tags=1 nr_devices=0 queue_mode=2; then
+	if ! _init_null_blk shared_tags=1 nr_devices=0; then
 		return 1
 	fi
 
diff --git a/tests/block/024 b/tests/block/024
index b40a869..6808db0 100755
--- a/tests/block/024
+++ b/tests/block/024
@@ -37,8 +37,7 @@ test() {
 
 	# The maximum value for CONFIG_HZ is 1000. I.e., a tick is one
 	# millisecond. So, make each I/O take half a millisecond.
-	if ! _init_null_blk queue_mode=2 irqmode=2 \
-	     completion_nsec=500000; then
+	if ! _init_null_blk irqmode=2 completion_nsec=500000; then
 		return 1
 	fi
 
diff --git a/tests/block/029 b/tests/block/029
index 0c4fe08..dcf4024 100755
--- a/tests/block/029
+++ b/tests/block/029
@@ -31,7 +31,7 @@ test() {
 	local sq=/sys/kernel/config/nullb/nullb0/submit_queues
 
 	: "${TIMEOUT:=30}"
-	_init_null_blk nr_devices=0 queue_mode=2 &&
+	_init_null_blk nr_devices=0 &&
 	_configure_null_blk nullb0 completion_nsec=0 blocksize=512 \
 			    size=16 memory_backed=1 power=1 &&
 	if { echo 1 >$sq; } 2>/dev/null; then
diff --git a/tests/block/030 b/tests/block/030
index d2e5286..f08f772 100755
--- a/tests/block/030
+++ b/tests/block/030
@@ -22,7 +22,7 @@ test() {
 	: "${TIMEOUT:=30}"
 	# Legend: init_hctx=<interval>,<probability>,<space>,<times>
 	# Set <space> to $(nproc) + 1 to make loading of null_blk succeed.
-	if ! _init_null_blk nr_devices=0 queue_mode=2 \
+	if ! _init_null_blk nr_devices=0 \
 	     "init_hctx=$(nproc),100,$(($(nproc) + 1)),-1"; then
 		echo "Loading null_blk failed"
 		return 1
diff --git a/tests/block/031 b/tests/block/031
index cb4ba67..d253af8 100755
--- a/tests/block/031
+++ b/tests/block/031
@@ -18,7 +18,7 @@ test() {
 	local fio_status bs=512
 
 	: "${TIMEOUT:=30}"
-	if ! _init_null_blk nr_devices=0 queue_mode=2 shared_tag_bitmap=1; then
+	if ! _init_null_blk nr_devices=0 shared_tag_bitmap=1; then
 		echo "Loading null_blk failed"
 		return 1
 	fi
-- 
2.30.2


  reply	other threads:[~2022-06-03  4:56 UTC|newest]

Thread overview: 18+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-06-03  4:55 allow to run most tests with built-in null_blk Christoph Hellwig
2022-06-03  4:55 ` Christoph Hellwig [this message]
2022-06-07  1:47   ` [PATCH blktests 01/13] common/null_blk: remove explicit queue_mode=2 parameters Chaitanya Kulkarni
2022-06-03  4:55 ` [PATCH blktests 02/13] common/null_blk: allow _configure_null_blk with built-in null_blk Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 03/13] common/null_blk: respect RUN_FOR_ZONED in _configure_null_blk Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 04/13] block/029: don't require modular null_blk Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 05/13] block/006: convert to use _configure_null_blk Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 06/13] block/016: " Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 07/13] block/017: " Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 08/13] block/018: " Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 09/13] block/020: " Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 10/13] block/021: " Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 11/13] block/023: " Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 12/13] block/024: " Christoph Hellwig
2022-06-03  4:55 ` [PATCH blktests 13/13] zbd: allow falling back to builtin null_blk Christoph Hellwig
2022-06-06 10:41   ` Shinichiro Kawasaki
2022-06-06 11:44 ` allow to run most tests with built-in null_blk Shinichiro Kawasaki
2022-06-07 12:47 allow to run most tests with built-in null_blk v2 Christoph Hellwig
2022-06-07 12:47 ` [PATCH blktests 01/13] common/null_blk: remove explicit queue_mode=2 parameters Christoph Hellwig

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20220603045558.466760-2-hch@lst.de \
    --to=hch@lst.de \
    --cc=linux-block@vger.kernel.org \
    --cc=shinichiro.kawasaki@wdc.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.